For AI agents: a documentation index is available at https://api.my.nethesis.it/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any my.nethesis.it API changes, ever again

Subscribe to the my.nethesis.it API changelog to be up to date on recent changes.

RSS

about 16 hours ago

main
0.10.8
Compare

API structure has changed

Next change
14 structure changes including:
5 Additions
9 Modifications
Modified 9
DELETE /systems/{id}/entitlements/{entitlement}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • renewal_stopped_at, renewal_stopped_reason properties Added
GET /entitlements/grants
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • grants property Modified
  • Query
  • renewal_stopped query parameter Added
GET /organizations
  • Query
  • status query parameter Added
GET /systems/{id}/entitlements
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • entitlements property Modified
POST /entitlements/activate
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • renewal_stopped_at, renewal_stopped_reason properties Added
  • 409 response Added
POST /entitlements/deactivate
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • renewal_stopped_at, renewal_stopped_reason properties Added
POST /entitlements/pending
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • renewal_stopped_at, renewal_stopped_reason properties Added
POST /systems/{id}/entitlements
  • Response
  • 201 response Modified
    • application/json content type Modified
      • data property Modified
        • renewal_stopped_at, renewal_stopped_reason properties Added
PUT /systems/{id}/entitlements/{entitlement}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • data property Modified
        • renewal_stopped_at, renewal_stopped_reason properties Added
Added 5
GET /customers/{id}/transfer
GET /resellers/{id}/transfer
GET /systems/{id}/transfer
PATCH /customers/{id}/transfer
PATCH /resellers/{id}/transfer